## Apache Zeta Components Manual :: Docs For Class ezcDbSchemaUniqueIndexNameValidator

### DatabaseSchema::ezcDbSchemaUniqueIndexNameValidator

### Class ezcDbSchemaUniqueIndexNameValidator

ezcDbSchemaUniqueIndexNameValidator checks for duplicate index names.

Source for this file: /DatabaseSchema/src/validators/unique_index_name.php

Version: | //autogentag//
Todo: | implement from an interface

### Method Summary

public static array(string) | `validate( $schema )` Validates if all the index names used are unique accross the schema.

### Methods

#### validate

static array(string) validate( ezcDbSchema $schema )

Validates if all the index names used are unique accross the schema.

This method loops over all the indexes in all tables and checks whether they have been used before.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$schema` | ezcDbSchema |

Documentation generated by phpDocumentor 1.4.3